import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/rewards_home_tx_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/rewards_home_tx_entity.g.dart';

@JsonSerializable()
class RewardsHomeTxEntity {
  late double id;
  late String name = '';
  late List<dynamic> rewards = [];

  RewardsHomeTxEntity();

  factory RewardsHomeTxEntity.fromJson(Map<String, dynamic> json) =>
      $RewardsHomeTxEntityFromJson(json);

  Map<String, dynamic> toJson() => $RewardsHomeTxEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
